Query spans
curl --request POST \
--url https://api.example.com/v3/spans/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"ordering": "-start_time",
"page_size": 50,
"offset": 0
}
'import requests
url = "https://api.example.com/v3/spans/query"
payload = {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"ordering": "-start_time",
"page_size": 50,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z',
ordering: '-start_time',
page_size: 50,
offset: 0
})
};
fetch('https://api.example.com/v3/spans/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "PAGINATED",
"data": {
"page_size": 10,
"item_count": 10,
"total": 100,
"page_count": 10,
"page_index": 1,
"offset": 0,
"items": [
{
"span_id": "<string>",
"trace_id": "<string>",
"name": "<string>",
"status_code": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"duration": 123,
"parent_span_id": "<string>",
"session_id": "<string>",
"span_type": "<string>",
"status_message": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"input": "<string>",
"output": "<string>",
"span_attributes": {},
"evaluators": [
{
"evaluator_rule_name": "<string>",
"output_name": "<string>",
"value": 123,
"label": "<string>"
}
],
"resource_attributes": {},
"service_name": "<string>",
"span_kind": "<string>",
"events": [
{
"timestamp": "2023-11-07T05:31:56Z",
"name": "<string>",
"attributes": {}
}
],
"links": [
{
"trace_id": "<string>",
"span_id": "<string>",
"trace_state": "<string>",
"attributes": {}
}
],
"semantic_mapping": {}
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Spans
Query spans
Search, filter, and paginate through spans with advanced criteria
POST
/
v3
/
spans
/
query
Query spans
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Start of the time range (inclusive, UTC).
End of the time range (exclusive, UTC).
Optional structured filter tree. Maximum nesting depth is 3 levels and maximum total rule count is 10.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Sort field with optional leading "-" for descending
Required range:
1 <= x <= 200Required range:
0 <= x <= 10000Response
A paginated list of spans matching the query
⌘I